* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

:root {
    --green: #53B175;
}

body {
    min-width: 320px;
    font-family: Quicksand;
}



.search-suggestions {
    position: absolute;
    background: #fff;
    /* border: 1px solid #ddd; */
    max-height: 200px;
    overflow-y: auto;
    z-index: 1000;
    width: 100%;
    display: none;
}

.suggestion-item {
    display: flex;
    align-items: center;
    padding: 10px;
    cursor: pointer;
    border-bottom: 1px solid #f1f1f1;
}

.suggestion-item img {
    margin-right: 10px;
}

.suggestion-item:hover {
    background: #f8f8f8;
}











a {
    text-decoration: none;
    color: black;
}

li {
    list-style-type: none;
}

.search_product_not_found {
    text-align: center;
    font-size: 20px;
    font-family: Quicksand;
    color: var(--green);
}

.toggle_divCategory h1 {
    font-size: 20px;
    font-weight: 500;
    font-family: poppins;
    margin-top: 35px;
}

.toggle_divCategory {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.customSortingSelect {
    padding: 5px;
    width: 100%;
    border: 1px solid #d9d6d6;
    border-radius: 5%;
}

.customSortingSelect:focus {
    outline: none;
}

.search_component {
    padding: 10px;
    display: none;
}

.OneByOneGrid,
.TwoByTwoGrid,
.ThreeByThreeGrid {
    border: none;
    background: none;
}

.searchsortingMainDiv {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.CategoryGrid_icons {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.grid-icon{
    height: 25px;
    width: 25px;
}

.search_result {
    font-size: 31px;
    font-weight: 700;
    font-family: Mulish;
    color: #29292E;
}

.SearchGrid_icons {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.item_sorts_by {
    width: 55%;
}

.sortBy_heading {
    font-size: 14px;
    color: #808080;
    align-self: center;
}

.totalResults {
    font-size: 16px;
    color: #666666;
}

.filter_button_green {
    background-color: #53B175;
    color: white;
    padding: 14px 32px;
    font-size: 14px;
    border-radius: 12px;
    border: none;
}

.colapse__btn,
.colapse__btn2,
.colapse__btn3,
.colapse__btn4 {
    border: none;
    background-color: white;
    font-size: 20px;
    font-weight: 500;
    cursor: pointer;
    font-family: Poppins;
}

.collapse_Content1 {
    padding-left: 0px;
}

.collapse_Content2 {
    padding-left: 0px;
}

.collapse_Content3 {
    padding-left: 0px;
}

.collapse_Content4 {
    padding-left: 0px;
    display: flex;
    flex-wrap: wrap;
}

.Filter_section {
    border: 1px solid rgb(212, 207, 207);
    border-radius: 8px;
    padding: 20px;
    /* filter: drop-shadow(0px 2px 2px rgb(197, 196, 196)); */
    background-color: white;
}

.lis_filter {
    font-size: 14px;
    color: #1A1A1A;
    font-family: poppins;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 5px;
}

.tags_filter {
    border-radius: 12px;
    background-color: #F2F2F2;
    padding: 6px 16px;
    margin: 3px;
    cursor: pointer;
    font-size: 14px;
    font-weight: 400;
    font-family: 'Poppins';
}

/* Price Filter Style */
#priceRange {
    width: 100%;
}

.ranger {
    display: inline-block;
    width: 30px;
    margin-top: 20px;
    margin-left: 5px;
}

/* Style for the draggable thumb */
#priceRange::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 20px;
    height: 20px;
    background-color: #00B207;
    border-radius: 50%;
    cursor: pointer;
}

/* *************************** */
.card_search {
    border: 1px solid rgb(216, 213, 213);
    border-radius: 5px;
    /* filter: drop-shadow(0px 2px 4px rgb(228, 227, 227)); */
    background-color: white;
    width: 100%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.card_searchimg {
    width: 100px;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.productcardContent {
    width: 70%;
}

.card_search:hover {
    filter: drop-shadow(0px 1px 1px #b9b9b9);
    cursor: pointer;
    /* border: 1px solid #20B526; */
}

.card_search:hover .searchcard_heading {
    color: #20B526;
}

.searchcard_heading {
    font-size: 14px;
    color: #4D4D4D;
    font-family: Poppins;
    font-weight: 400;
}

.searchcardpricetag {
    font-size: 16px;
    font-weight: 500;
    font-family: Quicksand;
}

.searchcardcrosspricetag {
    font-size: 16px;
    color: #999999;
    font-weight: 400;
}

.arrowForwardBackMain {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
}

.arrow_go_back {
    border-radius: 50%;
    background-color: rgb(248, 243, 243);
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    width: 45px;
    height: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.arrow_go_back:Hover {
    background-color: #00B207;
    color: white;
}

.arrow_go_forward {
    border-radius: 50%;
    background-color: rgb(248, 243, 243);
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    width: 45px;
    height: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.arrow_go_forward:Hover {
    background-color: #00B207;
    color: white;
}

.MobileViewfilter_button_green {
    display: none;
}

.MobileViewFilterAndSortButton {
    justify-content: space-between;
}

.product-card {
    border-radius: 8px;
    padding: 15px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    background: #fff;
    transition: transform 0.3s ease-in-out;
    cursor: pointer;
}

.product-card-header img {
    width: 100%;
    height: auto;
    border-radius: 8px;
}

.product-card-body {
    text-align: center;
    margin-top: 10px;
}

.product-name {
    font-size: 1.2rem;
    font-weight: bold;
    margin-bottom: 5px;
}

.product-price {
    font-size: 1rem;
    color: #28a745;
}

.product-unit,
.product-discount {
    font-size: 0.9rem;
    color: #888;
}


@media screen and (max-width:500px) {
    .search_component {
        display: block;
    }

    .Filter_section {
        display: none;
    }

    .last_filter_card {
        display: none;
    }

    .results_search_empty {
        display: none;
    }

    .grid_icons {
        display: none;
    }

    .SearchSortingComponent {
        display: none !important;
    }

    .filter_button_green {
        display: none;
    }

    .MobileViewfilter_button_green {
        background-color: #53B175;
        color: white;
        padding: 14px 32px;
        font-size: 14px;
        border-radius: 12px;
        border: none;
        display: block;
    }

    .MobileViewFilterAndSortButton {
        justify-content: space-between;
    }

    .CategoryGrid_icons {
        display: none;
    }

    .SearchGrid_icons {
        display: none;
    }
}

@media screen and (min-width:501px) and (max-width:991px) {
    .searchcomponent {

        /* display: block; */
    }

    .YellowbannerOffer {
        display: none;
    }

    .CategoryGrid_icons {
        display: none;
    }

    .MobileViewYellowbannerOffer {
        display: block;
    }

    .Filter_section {
        display: none;
    }

    .last_filter_card {
        display: none;
    }

    .results_search_empty {
        display: none;
    }

    .grid_icons {
        display: none;
    }

    .SearchSortingComponent {
        display: none !important;
    }

    .filter_button_green {
        display: none;
    }

    .MobileViewfilter_button_green {
        background-color: #53B175;
        color: white;
        padding: 14px 32px;
        font-size: 14px;
        border-radius: 12px;
        border: none;
        display: block;
    }

    .MobileViewFilterAndSortButton {
        justify-content: space-between;
    }
}